# Group by Value

Group a set of objects by value.

## Motivation

Sometimes it is easier to understand the uses of instances of a class if the instances are grouped into sets where each object in the set has the same printable value as the others.

## Arguments

Argument | Description
--- | ---
objects | An arbitrary set of objects to arrange in sets by value.
-field | An optional dot notation to specify a field which is used to group the objects, e.g. modCount to group HashMaps by their modifications.

## Result